blob: e44e775044777d8a9d4ab612c23b5a2e84fe57a6 [file] [log] [blame]
# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)
[package]
edition = "2018"
name = "rand"
version = "0.8.0"
authors = ["The Rand Project Developers", "The Rust Project Developers"]
include = ["src/", "LICENSE-*", "README.md", "CHANGELOG.md", "COPYRIGHT"]
autobenches = true
description = "Random number generators and other randomness functionality.\n"
homepage = "https://rust-random.github.io/book"
documentation = "https://docs.rs/rand"
readme = "README.md"
keywords = ["random", "rng"]
categories = ["algorithms", "no-std"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/rust-random/rand"
[package.metadata.docs.rs]
all-features = true
rustdoc-args = ["--cfg", "doc_cfg"]
[dependencies.log]
version = "0.4.4"
optional = true
[dependencies.packed_simd]
version = "0.3.4"
features = ["into_bits"]
optional = true
package = "packed_simd_2"
[dependencies.rand_core]
version = "0.6.0"
[dependencies.serde]
version = "1.0.103"
features = ["derive"]
optional = true
[dev-dependencies.bincode]
version = "1.2.1"
[dev-dependencies.rand_hc]
version = "0.3.0"
[dev-dependencies.rand_pcg]
version = "0.3.0"
[features]
alloc = ["rand_core/alloc"]
default = ["std", "std_rng"]
getrandom = ["rand_core/getrandom"]
nightly = []
serde1 = ["serde"]
simd_support = ["packed_simd"]
small_rng = []
std = ["rand_core/std", "rand_chacha/std", "alloc", "getrandom", "libc"]
std_rng = ["rand_chacha", "rand_hc"]
[target."cfg(not(target_os = \"emscripten\"))".dependencies.rand_chacha]
version = "0.3.0"
optional = true
default-features = false
[target."cfg(target_os = \"emscripten\")".dependencies.rand_hc]
version = "0.3.0"
optional = true
[target."cfg(unix)".dependencies.libc]
version = "0.2.22"
optional = true
default-features = false